#!/usr/bin/python
# -*- coding: latin-1 -*-

##
#   Project: pybrowser - a faster and lightweight web browser written in Python with a GTK+ gui
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.

try:
	import pygtk
	import gtk
	import gtk.glade
except:
	print "Install pygtk, gtk and glade modules"
	exit()

class Bookmarks:
	
	def __init__(self, filename="../data/bookmark.ini"):
		self.Bookmarks = []

		# reads filename and returns a list containing every line
		Lines = open(filename, "r").read().split("\n")
		for elem in Lines:
			if elem != "":
				self.Bookmarks.append(elem)

		# some stuffs about the glade file		
		self.MainGlade = gtk.glade.XML("../ui/bookmarks.glade")
		
		gw = self.MainGlade.get_widget
		
		self.wndBookmarks = gw("wndBookmarks")
		self.vbox1 = gw("vbox1")
		
		signals = {
			"on_wndBookmarks_destroy":self.on_wndBookmarks_destroy
		}
		
		self.MainGlade.signal_autoconnect(signals)
		
		
		vbox = gtk.HButtonBox()
		#self.wndBookmarks.add(vbox)
		
		n = 0
		
		#for n in range(10):
		btn = gtk.Label("Ciao")
		self.wndBookmarks.add(btn)
		
	#window and buttons functions
	def on_wndBookmarks_destroy(self, widget, data=None):
		gtk.main_quit()
	
	
	def main(self):
		self.wndBookmarks.show()
		gtk.main()


if __name__ == "__main__":
	App = Bookmarks()
	App.main()
