#!/usr/bin/python
# -*- coding: latin-1 -*-

##
#   Project: pybrowser - a faster and lightweight web browser written in Python with a GTK+ gui
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.

try:
	import pygtk
	import gtk
	import gtk.glade
except:
	print "Install pygtk, gtk and glade modules"
	exit()

import os

class Bookmarks:
	
	def __init__(self, filename="/home/"+os.getlogin()+"/.pybrowser/bookmark.ini"):
		self.Bookmarks = []
		self.Title = []

		# reads filename and returns a list containing every line
		Lines = open(filename, "r").read().split("\n")
		for elem in Lines:
			elem_title = elem.split("-")
			if elem != "":
				self.Bookmarks.append(elem_title[0])
				self.Title.append(elem_title[1])
				

		# some stuffs about the glade file		
		self.wndBookmarks = gtk.Window()
		self.vbox = gtk.VBox(True, len(self.Bookmarks))
		
		self.wndBookmarks.set_border_width(10)
		self.wndBookmarks.set_title("Bookmarks - pyBrowser")
						
		signals = {
			"on_wndBookmarks_destroy":self.on_wndBookmarks_destroy
		}
		
		#self.MainGlade.signal_autoconnect(signals)
		
		#vbox = gtk.VBox(True, len(self.Bookmarks))
		#vbox.show()
		
		for title in self.Title:
			index = 0
			b = gtk.Button(title)
			b.set_relief(gtk.RELIEF_NONE)
			self.vbox.add(b)
			b.show()
			index += 1
				
		self.vbox.show()
		self.wndBookmarks.add(self.vbox)
		
	#window and buttons functions
	def on_wndBookmarks_destroy(self, widget, data=None):
		self.wndBookmarks.hide()	
	
	def main(self):
		self.wndBookmarks.show()
		#gtk.main()
		

if __name__ == "__main__":
	App = Bookmarks()
	App.main()
