#!/usr/bin/python
# -*- coding: latin-1 -*-

##
#   Project: pybrowser - a faster and lightweight web browser written in Python with a GTK+ gui
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.

import pygtk
import gtk
import gtk.glade

from ConfigParser import RawConfigParser

from about import About

class Settings:
	def __init__(self):
		self.MainGlade = gtk.glade.XML("../ui/settings.glade")
		
		gw = self.MainGlade.get_widget
		
		self.wndSettings = gw("wndSettings")
		self.entHome = gw("entHome")
		
		self.config = RawConfigParser()
		self.config.read("../data/settings.ini")
		self.home = self.config.get("General", "Homepage")
		
		self.entHome.set_text(self.home)
		
		signals = {
			"on_wndSettings_destroy":self.on_wndSettings_destroy,
			"on_btnAbout_clicked":self.on_btnAbout_clicked,
			"on_btnExit_clicked":self.on_btnExit_clicked,
			"on_btnSave_clicked":self.on_btnSave_clicked
		}
		
		self.MainGlade.signal_autoconnect(signals)		
		
	#buttons and window events
	def on_wndSettings_destroy(self, data=None):
		self.wndSettings.hide()
	
	def on_btnSave_clicked(self, data=None):
		new_home = self.entHome.get_text()
		settings_tmp = open("../data/settings.ini", "r").read()
		settings = open("../data/settings.ini", "w")
		
		for line in settings_tmp.split("\n"):
			if "Homepage=" in line:
				settings.write("Homepage=" + new_home + "\n")
			else:
				settings.write(line + "\n")
		
	def on_btnAbout_clicked(self, data=None):
		about_window = About()
		about_window.main()
	
	def on_btnExit_clicked(self, data=None):
		self.wndSettings.hide()
	
	################################
	def main(self):		
		self.wndSettings.show()
		#gtk.main()

#start
if __name__ == "__main__":
        App = Settings()
        App.main()
