import gtk

import webview

class MenuBookmark(gtk.Menu):
	def __init__(self, button, web):
		super(MenuBookmark, self).__init__()
		
		self.btn = btn(button)
		self.web = view(web)
		
		self.bookmarks_dict = {}
		
		"""add the menu items"""
		self.append_items()

	"""add the items itemes to the menu"""
	def append_items(self):
		for item in self.get_children():
			self.remove(item)
		
		add = gtk.ImageMenuItem(gtk.STOCK_ADD, "Add page to bookmark")
		add.connect("activate", lambda w: self.add_bookmark( self.web.get_main_frame().get_uri(), self.web.get_main_frame().get_title() ))
		self.append(add)
		add.show()
		
		bookmarks_window = gtk.MenuItem("Open Bookmarks window")
		self.append(bookmarks_window)
		bookmarks_window.show()
		
		sep = gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		bookmarks_file = open("../data/bookmark.ini", "r").read()
		if bookmarks_file != "":
			for line in bookmarks_file.split('\n'):
				try:
					name = line.split("||")
					bookmark_item = gtk.MenuItem(name[1])
					self.bookmarks_dict[name[1]] = name[0]
					bookmark_item.connect("activate", self.open_bookmark)
					self.append(bookmark_item)
					bookmark_item.show()
				except:
					pass
		
					
		sep = gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		delete = gtk.ImageMenuItem(gtk.STOCK_DELETE, "Delete all bookmarks")
		delete.connect("activate", self.delete_bookmarks)
		self.append(delete)
		delete.show()
		
		self.connect("deactivate", lambda w: self.btn.set_sensitive(True))

	"""generic events functions"""
	def add_bookmark(self, url, title):		
		bm_bk_file = open("../data/bookmark.ini", "r").read()
		bm_file = open("../data/bookmark.ini", "w")
		bm_file.write(bm_bk_file + url + "||" + title + "\n")
		bm_file.close()
		self.append_items()
		
	def delete_bookmarks(self, menu):
		bookmarks_file = open("../data/bookmark.ini", "w")
		bookmarks_file.close()
		self.append_items()
		
	def open_bookmark(self, widget):
		text = widget.child
		name = text.get_text()
		self.web.get_current_view().open(self.bookmarks_dict[name])
		
	"""general function to get the menu"""
	def get_menu(self):
		return self
		
	"""function to get where the window put the menu"""
	def menu_position(self, menu, data=None):
		widget = menu.get_attach_widget()
		allocation = widget.get_allocation()
		window_pos = widget.window.get_position()
		x = window_pos[0] + allocation.x
		y = window_pos[1] + allocation.y + allocation.height
		return (x, y, True)
		
	"""show the menu"""
	def show(self):
		if not self.get_attach_widget():
			self.attach_to_widget(self.btn, None)
		self.popup(None, None, self.menu_position, 1, gtk.get_current_event_time())
		self.select_first(True)
		self.btn.set_sensitive(False)
		self.show_all()
		
def btn(btn):
	return btn

def view(web):
	return web
