import gtk

import code

class MenuSetting(gtk.Menu):
	def __init__(self, button, webview):
		super(MenuSetting, self).__init__()
		
		self.btn = btn(button)
		self.web = web(webview)
		
		"""add the menu items"""
		self.append_items()
		
	def append_items(self):
		view = self.web.get_current_view()
		
		for item in self.get_children():
			self.remove(item)
		
		print_cb = gtk.ImageMenuItem(gtk.STOCK_PRINT, "Add page to bookmark")
		print_cb.connect("activate", lambda w: self.web.print_cb(print_cb, self.web))
		self.append(print_cb)
		print_cb.show()
		
		if view.get_view_source_mode() == False:
			code = gtk.ImageMenuItem("Show page source code")
			code.connect("activate", self.web.code_view)
			self.append(code)
			code.show()
		else:
			code = gtk.ImageMenuItem("Show the web content")
			code.connect("activate", self.web.code_view)
			self.append(code)
			code.show()
		
		sep = gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		properties = gtk.ImageMenuItem(gtk.STOCK_PROPERTIES)
		#properties.connect("activate", self.)
		self.append(properties)
		properties.show()
		
		self.connect("deactivate", lambda w: self.btn.set_sensitive(True))
		
	"""general function to get the menu"""
	def get_menu(self):
		return self
		
	"""function to get where the window put the menu"""
	def menu_position(self, menu, data=None):
		widget = menu.get_attach_widget()
		allocation = widget.get_allocation()
		window_pos = widget.window.get_position()
		x = window_pos[0] + allocation.x
		y = window_pos[1] + allocation.y + allocation.height
		return (x, y, True)
		
	"""show the menu"""
	def show(self):
		if not self.get_attach_widget():
			self.attach_to_widget(self.btn, None)
		self.popup(None, None, self.menu_position, 1, gtk.get_current_event_time())
		self.select_first(True)
		self.btn.set_sensitive(False)
		self.append_items()
		self.show_all()

def btn(btn):
	return btn
	
def web(web):
	return web
