#/usr/bin/env python
##
#   Project: pybrowser - A fast and lightweight browser  
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

from gi.repository import Gtk

import controller

class About(Gtk.AboutDialog):
	def main(self):
		GObject.GObject.__init__(self)
		license = open("../doc/copyright", "r").read()
		self.set_name(controller.APP_TITLE)
		self.set_title(controller.APP_TITLE)
		self.set_program_name(controller.APP_TITLE)
		self.set_version(controller.APP_VERSION)
		icon=GdkPixbuf.Pixbuf.new_from_file("../icons/pybrowser_logo.png")
		self.set_icon(icon)
		self.set_logo(icon)
		self.set_copyright('(c) 2011')
		self.set_license(license)
		self.set_website_label('https://launchpad.net/pybrowser')
		self.set_website(controller.APP_WEBSITE)
		self.set_authors([controller.APP_CREDITS])
		self.set_comments(controller.APP_DESCRIPTION)
		self.run()
		self.destroy()       
