#/usr/bin/env python
##
#   Project: pybrowser - A fast and lightweight browser  
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

from gi.repository import Gtk

import webview

from controller import * #This import the database

from translate import _

class MenuBookmark(Gtk.Menu):
	def __init__(self, button, web):
		super(MenuBookmark, self).__init__()
		
		self.btn = btn(button)
		self.web = view(web)
		
		"""add the menu items"""
		self.append_items()

	"""add the items itemes to the menu"""
	def append_items(self):
		for item in self.get_children():
			self.remove(item)
		
		add = Gtk.ImageMenuItem(Gtk.STOCK_ADD)#, _("Add page to bookmark"))
		add.connect("activate", lambda w: self.add_bookmark( self.web.get_current_view().get_main_frame().get_uri(), self.web.get_current_view().get_main_frame().get_title() ))
		self.append(add)
		add.show()
		
		bookmarks_window = Gtk.MenuItem(_("Open Bookmarks window"))
		self.append(bookmarks_window)
		bookmarks_window.show()
		
		sep = Gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		bookmarks_file = open(BOOKMARKS_FILE, "r").read()
		if bookmarks_file != "":
			for line in bookmarks_file.split('\n'):
				try:
					name = line.split("||")
					bookmark_item = Gtk.MenuItem(name[1])
					BOOKMARKS_DICT[name[1]] = name[0]
					bookmark_item.connect("activate", self.open_bookmark)
					self.append(bookmark_item)
					bookmark_item.show()
				except:
					pass
		
					
		sep = Gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		delete = Gtk.ImageMenuItem(Gtk.STOCK_DELETE)
		delete.connect("activate", self.delete_bookmarks)
		self.append(delete)
		delete.show()
		
		self.connect("deactivate", lambda w: self.btn.set_sensitive(True))

	"""generic events functions"""
	def add_bookmark(self, url, title):
		bm_bk_file = open(BOOKMARKS_FILE, "r").read()
		bm_file = open(BOOKMARKS_FILE, "w")
		bm_file.write(bm_bk_file + url + "||" + title + "\n")
		bm_file.close()
		self.append_items()
		
	def delete_bookmarks(self, menu):
		bookmarks_file = open(BOOKMARKS_FILE, "w")
		bookmarks_file.close()
		self.append_items()
		
	def open_bookmark(self, widget):
		text = widget.get_child()
		name = text.get_text()
		self.web.get_current_view().open(BOOKMARKS_DICT[name])
		
	"""general function to get the menu"""
	def get_menu(self):
		return self
		
	"""function to get where the window put the menu"""
	def menu_position(self, menu, data=None):
		widget = menu.get_attach_widget()
		allocation = widget.get_allocation()
		window_pos = widget.window.get_position()
		x = window_pos[0] + allocation.x
		y = window_pos[1] + allocation.y + allocation.height
		return (x, y, True)
		
	"""show the menu"""
	def show(self):
		if not self.get_attach_widget():
			self.attach_to_widget(self.btn, None)
		self.popup(None, None, self.menu_position, 1, Gtk.get_current_event_time())
		self.select_first(True)
		self.btn.set_sensitive(False)
		self.show_all()
		
def btn(btn):
	return btn

def view(web):
	return web
