#/usr/bin/env python
##
#   Project: pybrowser - A fast and lightweight browser  
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

from gi.repository import Gtk

import code

from translate import _

class MenuSetting(Gtk.Menu):
	def __init__(self, button, webview):
		super(MenuSetting, self).__init__()
		
		self.btn = btn(button)
		self.web = web(webview)
		
		"""add the menu items"""
		self.append_items()
		
	def append_items(self):
		view = self.web.get_current_view()
		
		for item in self.get_children():
			self.remove(item)
		
		print_cb = Gtk.ImageMenuItem(Gtk.STOCK_PRINT)
		print_cb.connect("activate", lambda w: self.web.print_cb(print_cb, self.web))
		self.append(print_cb)
		print_cb.show()
		
		if view.get_view_source_mode() == False:
			code = Gtk.ImageMenuItem(_("Show page source code"))
			code.connect("activate", self.web.code_view)
			self.append(code)
			code.show()
		else:
			code = Gtk.ImageMenuItem(_("Show the web content"))
			code.connect("activate", self.web.code_view)
			self.append(code)
			code.show()
		
		sep = Gtk.SeparatorMenuItem()
		self.append(sep)
		sep.show()
		
		properties = Gtk.ImageMenuItem(Gtk.STOCK_PROPERTIES)
		#properties.connect("activate", self.)
		self.append(properties)
		properties.show()
		
		self.connect("deactivate", lambda w: self.btn.set_sensitive(True))
		
	"""general function to get the menu"""
	def get_menu(self):
		return self
		
	"""function to get where the window put the menu"""
	def menu_position(self, menu, data=None):
		widget = menu.get_attach_widget()
		allocation = widget.get_allocation()
		window_pos = widget.window.get_position()
		x = window_pos[0] + allocation.x
		y = window_pos[1] + allocation.y + allocation.height
		return (x, y, True)
		
	"""show the menu"""
	def show(self):
		if not self.get_attach_widget():
			self.attach_to_widget(self.btn, None)
		self.popup(None, None, self.menu_position, 1, Gtk.get_current_event_time())
		self.select_first(True)
		self.btn.set_sensitive(False)
		self.append_items()
		self.show_all()

def btn(btn):
	return btn
	
def web(web):
	return web
